local class = require "middleclass"
local Component = require('hyper').Component

describe('Component', function()
    local MockComponent = class('Mock', Component)
    local mock_entity = {}
    it('initializes', function()
        local component = Component:new(MockComponent, mock_entity)
        assert.are.same(component.entity, mock_entity)
        assert.are.same(component.type, MockComponent)
    end)
end)